## hplip 3.13.9

=== debian/changelog ===
hplip (3.13.9-1ubuntu0.1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 Jan 2014 08:39:25 -0500

hplip (3.13.9-1ubuntu0.1) saucy-security; urgency=medium

  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 20 Jan 2014 10:51:43 -0500

hplip (3.13.9-1) unstable; urgency=medium

  * New upstream release 
  * Fix CVE-2013-4325 hplip: Insecure calling of polkit
    - Apply Redhat patch (Closes: #723716)
    - Urgency medium
  * Fix "Rebuild against pyppd 1.0.1" patch from OdyX (Closes: #722695)

 -- Mark Purcell <msp@debian.org>  Sat, 21 Sep 2013 08:24:35 +1000

hplip (3.13.9-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Bug fixes and added hardware support
     o Added support for: HP Designjet Z5400 44-in PostScript ePrinter,
       Deskjet Ink Advantage 1018 Printer, 1518/2540/2545/2546 All-in-One
       Printer, 4515/4518 e-All-in-One Printer, Envy 4504 e-All-in-One,
       LaserJet Pro MFP M435nw, Officejet 4630/4632/4635 e-All-in-One Printer,
       OfficeJet Pro 8600 Premium e-AiO N911n, Photosmart 5521 e-All-in-One
       Printer
     o HP OfficeJet G55 is not detecting through USB (LP: #1209339)
     o Collate broken under hplip-3.13.7 as hpps sends SET COPIES (LP: #1209352)
     o Fix for plugin (firmware) installation and test page in 'hp-setup -i'
  * debian/patches/10_shebang_fixes.dpatch,
    debian/patches/hp-setup-prompt-for-custom-PPD.dpatch,
    debian/patches/kbsd.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/black-stripes-on-pcl5c-printouts.dpatch: Removed, applied
    upstream.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/hp-check_debian.dpatch
    debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/add-lidil-two-cartridge-modes.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff: Refreshed with quilt.
  * debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Manually adapted
    to the new source code.
  * debian/hplip.install, debian/rules: Removed hplipjs and hpcac filters, they
    are removed from HPLIP.
  * debian/hplip.dirs, debian/hplip.postinst, debian/hplip.postrm: Added
    /var/log/hp/tmp/ (775 root.lp), needed by hp-sendfax (LP: #1187132).
  * debian/printer-driver-postscript-hp.install: Some DesignJet PPDs do not
    have "ps" in their names and therefore did not get packaged.
  * debian/non-shipped-files.txt: Updated.
  * debian/rules: Remove the non-shipped files in the end of the install-stamp
    rule, as some of them get created after "make install" by this rule.
  * debian/rules: Do not create HAL .fdi file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Sep 2013 21:36:00 +0200

hplip (3.13.8-1) unstable; urgency=low

  * New Upstream Release
  * Update Vcs: header
  * Fixup field "section" in package hpijs-ppds
  * Update libhpmud-dev Description: - duplicate-long-description
  * Update debian/copyright - fixes copyright-refers-to-symlink-license
  * Update Description: - fixes extended-description-is-probably-too-short

 -- Mark Purcell <msp@debian.org>  Sat, 17 Aug 2013 12:27:56 +1000

hplip (3.13.8-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Added support for: HP LaserJet Enterprise MFP M725/M725dn/M725dn/M725fw/
       M725z/M725z+, DesignJet T920/T1500 Postscript, Envy 4500/4502/5530/5535
       e-All-in-One, Deskjet 1010/1012, 1510/1512/1513/2540/2542 All-in-One,
       Deskjet Ink Advantage 1010/1015, 1510/1515/1516 All-in-One, 3540/3545/
       3546 e-All-in-One, Officejet Pro 3610/3620 Black and White e-All-in-One,
       Officejet 7610 Wide Format e-All-in-One
     o Added support for Avahi network printer browsing
     o Using SLP protocol by default to browse printer in hp-setup
     o Added 56-hpmud.rules and removed 56-hpmud_support, 86-hpmud_plugin,
       56-hpmud_add_printer, 55-hpmud and 40-hplip rules
     o Fixes:
        + LP: #233393  - Smart install disable popup is coming for HP pen drive
          and HP CD/DVD ROM
        + LP: #746814  - CVE-2010-4267 Remote Stack Overflow Vulnerability
        + LP: #1157701 - soapfax.py:139:setStationName:UnicodeEncodeError:
          'ascii' codec can't encode characters in position 0-3: ordinal not in
          range(128)
        + LP: #1163339 - hplip online documentation: manual tarball
          installation shows package dependancies which are out-of-date
        + LP: #1176470 - hp-setup fails with the message "ethernet cable is
          plugged in" - But it isn't
        + LP: #1179433 - cupsext/getPrinter leaks server connection on each call
        + LP: #1179454 - Cannot set filename when scanning with hp-scan from ADF
        + LP: #1186411 - Fix for firmware download during plug and play
        + LP: #1185866 - hp-config_usb_printer hangs in loop
        + LP: #1189333 - Fixed hplip markup documentation errors
        + LP: #1195221 - Unable to install plugin for network printer Laserjet
          2600n
        + LP: #1196335 - HPLIP 3.13.6 stop working after shutting down/rebooting
          the computer
        + LP: #1197306 - HP laserjet 1020 not printing on Ubuntu12.10 after
          power cycle the printer
  * debian/control: printer-driver-hpcups: Replaced dependency on

