## hplip 3.14.3

=== debian/changelog ===
hplip (3.14.3-0ubuntu3) trusty; urgency=low

  * debian/patches/musb-c-do-not-crash-on-usb-failure.patch: Make sure that
    the HPLIP components which access the USB (especially the CUPS backends
    "hp" and "hpfax") do not crash when libusb fails to connect to the USB,
    for example on machines without USB or with the USB kernel modules not
    loaded (LP: #1302437).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  4 Apr 2014 17:00:00 +0200

hplip (3.14.3-0ubuntu2) trusty; urgency=low

  * debian/local/HP-LaserJet_4000-PostScript-PPD.patch, debian/rules: Patch
    PPD file for the HP LaserJet 4000 to use the same JobPatchFile as the
    LaserJet 4050. It seems that the 4000 has the same PS interpreter bug to
    work around. Note that it is not possible to use the standard mechanisms
    for patches as HP ships all PPDs compressed (Closed: #742766).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 27 Mar 2014 17:20:00 +0100

hplip (3.14.3-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Added support for: HP Deskjet Ink Advantage 4640/4645/4646/4648
      e-All-in-One Printer, HP LaserJet Pro MFP M125/M126/M127 series.
    - printer name changes when power cycled (LP: #1273905).
    - hp-config_usb_printer is trying to configure HP keyboard and mouse
      (LP: #1266704).
    - "HP Device Manager" deletes other queues (LP: #1253432).
    - hpcups filter crash fix (LP: #1250806).
    - Error with 'hp-setup' (LP: #1273043).
    - Should run hp-firmware from udev separately (LP: #1255033).
    - Do not put static printer-independent strings like "Automatically setup
      by HPLIP" into the description field of a CUPS queue, remote clients use
      the description to identify network printers (LP: #1266011).
    - Fixed align functionality issue with HP OfficeJet 6100
    - Systray notification does not pop-up after configuring the device using
      'hp-setup' command
    - Unable to configure second fax queue in interactive mode
    - Fixed missing 'No 6 3/4 Envelope' media size for HP OfficeJet 7619 Series
    - Printer name does not change when navigate back and forward to change
      the printer queue

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Mar 2014 22:36:00 +0100

hplip (3.14.1-1) unstable; urgency=low

  * New upstream release
    - CVE-2013-6427: hplip: insecure auto update feature
    - CVE-2013-6402: hplip: insecure temporary file handling in pkit.py

  [ Till Kamppeter ]
  * debian/control: Changed Depends/Recommends on foomatic-filters to
    "cups-filters (>= 1.0.42) | foomatic-filters" as foomatic-rip has
    moved to cups-filters from version 1.0.42 on (Closes: #734140).

  [ Mark Purcell ]
  * Ack NMU - thanks ~carnil
  * Drop CVE-2013-6402.patch - addressed upstream

 -- Mark Purcell <msp@debian.org>  Sun, 19 Jan 2014 13:56:10 +1100

hplip (3.13.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2013-6402.patch patch.
    CVE-2013-6402: Fix insecure temporary files handling in pkit.py.
    (Closes: #725876)
  * Add missing dh_bugfiles invocation in binary-indep target

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jan 2014 10:59:12 +0100

hplip (3.13.11-2) unstable; urgency=medium

  * Urgency medium for CVE fix
  * Sync with ubuntu - thks ~marc.deslauriers
    - Fixes "CVE-2013-6427: insecure (undocumented) auto update feature"
    (Closes: #731480)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Dec 2013 18:13:44 +1100

hplip (3.13.11-1ubuntu1) trusty; urgency=low

  * debian/non-shipped-files.txt, debian/hplip.install: don't ship
    hp-upgrade and upgrade.py, as we want to use proper packaging, and want
    to prevent security issues.
    - CVE-2013-6427

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Dec 2013 14:42:33 -0500

hplip (3.13.11-1) unstable; urgency=low

  * New upstream release
    - Includes fix for CVE-2013-4325:Insecure Polkit use (Closes: #723716)
    - Drop debian/patches/CVE-2013-4325.patch
    - hp-mkuri no longer ships
  * Drop hp-mkuri-take-into-account-already-installed-plugin-also-for-
    exit-value.dpatch & ubuntu-hp-mkuri-notification-text.dpatch
  * quilt refresh
  * hplip-doc.install -> hplip-doc.docs

 -- Mark Purcell <msp@debian.org>  Wed, 11 Dec 2013 06:12:48 +1100

hplip (3.13.9-2) unstable; urgency=low

  * Build-Depends: libusb2-dev [kfreebsd-any] - Thks Petr
    - Fixes "no longer buildable on kfreebsd-*" (Closes: #725616)
  * Update X-Python-Version: >= 2.7.5 
    - Fixes "hplip-data depends on python:any (>= 2.6.6-7~)" (Closes: #724705)

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 22:31:35 +1100
