=== debian/rules ===
--- 
+++ 
@@ -211,6 +211,14 @@
 	      done; \
 	  done )
 
+	# Patch PPD file for the HP LaserJet 4000
+	# See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=742766
+	# We cannot use the usual mechanisms for patches, as the PPD files get
+	# shipped compressed by upstream
+	( cd $(PPDDIR)/hplip/HP/; \
+	  patch	-p0 < $(CURDIR)/debian/local/HP-LaserJet_4000-PostScript-PPD.patch \
+	)
+
 	# Edit the generated hplip.conf
 	( cd "$(PKGTMP)/etc/hp" && \
 	  cat hplip.conf | \
@@ -230,14 +238,3 @@
 	for i in *.lintian ; do \
 	    [ -r "$$i" ] && { \
 		mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
-		install  -m 644 "$$i" "$${i%%.lintian}/usr/share/lintian/overrides/$${i%%.lintian}" ;\
-	    } ;\
-	done
-
-	# Link all executables to /usr/bin and generate the corresponding
-	# man pages
-	chmod 755 ./debian/tmp/usr/share/hplip/check-plugin.py
-	export HPLIP_BUILD=1; \
-	( cd ./debian/tmp/usr/share/hplip/; \
-	    for file in *.py; do \
-		if [ -x $$file ] && [ $$file != install.py ] && \
