## hplip 3.14.3-0ubuntu3.2+7.0trisquel1

=== debian/changelog ===
hplip (3.14.3-0ubuntu3.2+7.0trisquel1) belenos; urgency=medium

  * Removed printers with propietary drivers (required and optional)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 26 Aug 2014 19:17:19 +0200

hplip (3.14.3-0ubuntu3.2) trusty-proposed; urgency=low

  * debian/rules: Corrected copy-and-paste error in previous release which
    deactivated hpcups printer support completely (LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 May 2014 12:40:00 +0200

hplip (3.14.3-0ubuntu3.1) trusty-proposed; urgency=low

  * debian/rules: Remove hpcups support for the HP Officejet Pro K550 as it is
    known to not work. This way hpijs (which works) will be used (LP: #981473,
    LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 29 Apr 2014 12:06:00 +0200
