=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: hplip
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPIJS and HPLIP maintainers <pkg-hpijs-devel@lists.alioth.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Mark Purcell <msp@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
 Build-Depends: libcups2-dev, libcupsimage2-dev, libsane-dev, libsnmp-dev, libjpeg-dev,
- libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any],
+ libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], libusb-dev [!linux-any !kfreebsd-any],
  debhelper (>= 9), autotools-dev, autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
  patch (>= 2.5.9-3bpo1), findutils (>= 4.2.28), 
  python-dev, python-all-dev (>= 2.6.6-3~), python-qt4, pyqt4-dev-tools,
  python-dbus (>= 0.80), python-qt4-dbus, libdbus-1-dev, libudev-dev [linux-any], policykit-1,
  fdupes, lsb-release, pyppd (>= 1.0.1), dh-autoreconf
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.7.5
 Standards-Version: 3.9.4
 Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Svn: svn://anonscm.debian.org/pkg-hpijs/hplip/trunk/
@@ -142,7 +141,7 @@
 Provides: hplip-ppds
 Replaces: hplip-ppds
 Breaks: hplip-ppds, foomatic-filters-ppds (>> 20000101)
-Depends: ${misc:Depends}, printer-driver-hpijs (>= ${hpijs:source:Version}), foomatic-filters (>= 3.0.2)
+Depends: ${misc:Depends}, printer-driver-hpijs (>= ${hpijs:source:Version}), cups-filters (>= 1.0.42) | foomatic-filters (>= 3.0.2)
 Description: HP Linux Printing and Imaging - HPIJS PPD files
  This package contains PPD (printer definition) files for the
  printers supported through the HP Linux Printing and Imaging
@@ -157,7 +156,7 @@
 Architecture: any
 Section: text
 Depends: ${shlibs:Depends}, ${misc:Depends}, libhpmud0 (= ${hplip:binary:Version})
-Recommends: ghostscript, cups (>= 1.4.0) | cupsddk | hpijs-ppds, foomatic-filters
+Recommends: ghostscript, cups (>= 1.4.0) | cupsddk | hpijs-ppds, cups-filters (>= 1.0.42) | foomatic-filters
 Suggests: hplip, hpijs-ppds, hplip-doc
 Replaces: hpijs (<< 3.11.10-1ubuntu2)
 Breaks: hpijs (<< 3.11.10-1ubuntu2)
@@ -182,7 +181,7 @@
  Selecting any hpijs ppd in CUPS will use hpijs automatically.
  .
  HPIJS is meant to be used through the foomatic system (see the
- foomatic-filters package).
+ foomatic-filters package or foomatic-rip in the cups-filters package).
 
 Package: printer-driver-hpcups
 Architecture: any
@@ -248,4 +247,3 @@
  The new hpmud direct I/O is faster. Hpmud supports parallel, USB and
  JetDirect connectivity.
  .
- With hpmud, HPLIP no longer has Linux specific libusb extensions. This
