=== debian/rules ===
--- 
+++ 
@@ -176,6 +176,13 @@
 	# 487695)
 	sh debian/local/make-duplex-page-sizes-default.sh $(PKGTMP)/usr/share/cups/drv/hpcups.drv
 
+	# Remove hpcups support for the HP Officejet Pro K550 as it is known
+	# to not work. This way hpijs (which works) will be used (Ubuntu bugs
+	# #981473, #1311697)
+	perl -e '$$content = join("", <>); $$content =~ s:^\s*\{[^\n]*?\n[^\n]*?pro.k550.*?\}\s*\n::ism; print $$content' $(PKGTMP)/usr/share/cups/drv/hpcups.drv > $(PKGTMP)/usr/share/cups/drv/hpcups.drv.new
+	rm $(PKGTMP)/usr/share/cups/drv/hpcups.drv
+	mv $(PKGTMP)/usr/share/cups/drv/hpcups.drv.new $(PKGTMP)/usr/share/cups/drv/hpcups.drv
+
 	# Modify all Ghostscript command lines to have the "-dNOINTERPOLATE"
 	# coomand line option. This makes rendering the pages much faster
 	perl -p -i -e "s/(\-sDEVICE=)/-dNOINTERPOLATE \1/" $(PKGTMP)/usr/share/cups/drv/hpijs.drv $(PKGTMP)/usr/lib/cups/filter/pstotiff
@@ -184,7 +191,6 @@
 	# on udev signal (Ubuntu only)
 	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
 		install -d $(CURDIR)/debian/hplip/usr/bin/; \
-		install -m 755 debian/local/scripts/hp-plugin-ubuntu $(CURDIR)/debian/hplip/usr/bin/; \
 	fi
 
 	# Install the ppd updater data files so that CUPS can update the
@@ -227,14 +233,3 @@
 	    > hplip.conf.1 && \
 	    mv -f hplip.conf.1 hplip.conf )
 
-	# Lintian and linda overrides
-	cd debian ; \
-	for i in *.linda ; do \
-	    [ -r "$$i" ] && { \
-		mkdir -p "$${i%%.linda}/usr/share/linda/overrides" ;\
-		install  -m 644 "$$i" "$${i%%.linda}/usr/share/linda/overrides/$${i%%.linda}" ;\
-	    } ;\
-	done ;\
-	for i in *.lintian ; do \
-	    [ -r "$$i" ] && { \
-		mkdir -p "$${i%%.lintian}/usr/share/lintian/overrides" ;\
