## hplip 3.14.6

=== debian/changelog ===
hplip (3.14.6-1) unstable; urgency=low

  * New upstream release
    - Fixed Device Communication Error on launching HP Device Manager
    - Unable to add/remove file in 'hp-sendfax' wizard
    - Fax cover page does not get changed after changing recipient second time
    - Improved scan performance for 'hp-scan' utility
    - Fixes "hplip is outdated in jessie : please upgrade" (Closes: #748132)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Jun 2014 16:42:46 +1000

hplip (3.14.3-0ubuntu5) utopic; urgency=low

  * debian/rules: Corrected copy-and-paste error in previous release which
    deactivated hpcups printer support completely (LP: #1315864, LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 May 2014 12:40:00 +0200

hplip (3.14.3-0ubuntu4) utopic; urgency=low

  * debian/rules: Remove hpcups support for the HP Officejet Pro K550 as it is
    known to not work. This way hpijs (which works) will be used (LP: #981473,
    LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 29 Apr 2014 12:06:00 +0200
