## hplip 3.15.2

=== debian/changelog ===
hplip (3.15.2-0trusty4.1) trusty; urgency=high

  * debian/patches/hp-plugin-download-fix.patch: Fix download and installation
    of HP's proprietary plug-in in Python3 environments (LP: #1422004).

 -- Otto Meier <otto@kesselgulasch.org>  Tue, 02 Jun 2015 15:10:00 -0300

hplip (3.15.2-0ubuntu4) vivid; urgency=low

  * debian/rules: Remove explicit call of /usr/bin/python when calling the
    /usr/bin/hp-config_usb_printer script so that the shebang does not get
    overridden (LP: #1425812).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Mar 2015 16:04:00 +0100

hplip (3.15.2-0ubuntu3) vivid; urgency=low

  * debian/patches/hpscan-deskjet-3520-aio-allow-non-jpeg-scanning.patch:
    Allow non-JPEG scanning on the HP DeskJet 3520 All-in-One and similar
    devices. Thanks to Lubos Dolezel for the patch (LP: #1245578).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  2 Mar 2015 17:48:00 +0100

hplip (3.15.2-0ubuntu2) vivid; urgency=low

  * debian/patches/pcardext-python3-workaround-upstream.patch: Workaround
    patch for missing Python3 transition of the old (pre-USB-storage) photo
    memory card support (pcardext) as this part builds in Python3 environments
    but with pointer-related warnings which are fatal errors for Ubuntu's build
    servers. The patch silences the warnings but the memory card support is
    dropped in Python3 environments. This patch is supplied by the HPLIP
    upstream developers and will be replaced by a more proper solution in the
    next upstream release of HPLIP (see LP: #1275353).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  6 Feb 2015 11:18:00 -0200

hplip (3.15.2-0ubuntu1) vivid; urgency=low

  * New upstream release
    - Python3 support for HPLIP
    - Doesn't build against libjpeg-turbo 1.3.90 (LP: #1388126)
    - hpcups crashes if DEVICE_URI not set in environment (LP: #1395676)
    - Incorrect call to hpmudext.device_open (LP: #1388007)
    - plugin download fails if python links to python3 (LP: #1187055)
    - Incorrect IEEE 1284 Device IDs for many models (LP: #802999)
  * debian/patches/85_rebuild_python_ui.dpatch: Manually updated to apply to new
    upstream source code.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/hpfax-bug-function-used-before-importing-log.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff,
    debian/patches/musb-c-do-not-crash-on-usb-failure.patch,
    debian/patches/process-events-for-systray.patch: Refreshed with quilt.
  * debian/rules: Force Python3 build using PYTHON=python3 ./configure option
  * debian/rules: Use py3versions to get system's Python3 interpreter version
  * debian/rules: Use relative symlink for /usr/sbin/hpssd, so that shebang
    correction works.
  * debian/rules: Make sure that the Python interpreter paths in all executables
    use python3.
  * debian/rules: Use dh_python3 instead of dh_python2.
  * debian/control: Replaced all Python-related dependencies by their
    Python3 equivalent.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Feb 2015 21:18:00 -0200

hplip (3.14.6-1ubuntu1) utopic; urgency=medium

  * Add process-events-for-systray.patch to enable sni-qt compatiblity to
    allow hp-systray to continue working in Plasma 5.x workspaces.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Jul 2014 22:51:04 +0200
