=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], libusb-dev [!linux-any !kfreebsd-any],
  debhelper (>= 9), autotools-dev, autoconf, automake, libtool, cups (>= 1.4.0) | cupsddk,
  patch (>= 2.5.9-3bpo1), findutils (>= 4.2.28), 
- python-dev, python-all-dev (>= 2.6.6-3~), python-qt4, pyqt4-dev-tools,
- python-dbus (>= 0.80), python-qt4-dbus, libdbus-1-dev, libudev-dev [linux-any], policykit-1,
+ python3-dev, python3-all-dev (>= 2.6.6-3~), python3-pyqt4, pyqt4-dev-tools,
+ python3-dbus (>= 0.80), libdbus-1-dev, libudev-dev [linux-any], policykit-1,
  fdupes, lsb-release, pyppd (>= 1.0.1), dh-autoreconf
-X-Python-Version: >= 2.7.5
+X-Python-Version: >= 3.0
 Standards-Version: 3.9.4
 Homepage: http://hplipopensource.com/hplip-web/index.html
 Vcs-Svn: svn://anonscm.debian.org/pkg-hpijs/hplip/trunk/
@@ -21,11 +21,11 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsane-hpaio (= ${hplip:binary:Version}),
  libhpmud0 (= ${hplip:binary:Version}), hplip-data (= ${hplip:source:Version}),
  printer-driver-hpcups (= ${hplip:binary:Version}),
- ${python:Depends}, python-dbus (>= 0.80), python-imaging, python-pexpect, python-reportlab,
+ ${python3:Depends}, python3-dbus (>= 0.80), python3-pil, python3-pexpect, python3-reportlab,
  coreutils (>= 5.1.0), lsb-base (>= 3), adduser (>= 3.34), cups (>= 1.1.20),
- policykit-1, python-gobject-2, wget
+ policykit-1, python3-gi, wget
 Recommends: printer-driver-postscript-hp, sane-utils, avahi-daemon
-Suggests: hplip-gui, hplip-doc, python-notify, system-config-printer
+Suggests: hplip-gui, hplip-doc, python3-notify2, system-config-printer
 Description: HP Linux Printing and Imaging System (HPLIP)
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -59,7 +59,7 @@
 Package: hplip-data
 Architecture: all
 Suggests: hplip
-Depends: ${python:Depends}, ${misc:Depends}, xz-utils
+Depends: ${python3:Depends}, ${misc:Depends}, xz-utils
 Description: HP Linux Printing and Imaging - data files
  The HP Linux Printing and Imaging System provides full support for
  printing on most HP SFP (single function peripheral) inkjets and many
@@ -86,9 +86,9 @@
 Package: hplip-gui
 Architecture: all
 Depends: ${misc:Depends}, hplip (>= ${hplip:source:Version}), dbus-x11, 
- ${python:Depends}, python-qt4, python-qt4-dbus, 
+ ${python3:Depends}, python3-pyqt4, python3-dbus.mainloop.qt,
  gksu | kdebase-bin (<< 4:4.4.0-1) | kde-runtime | kdebase-runtime | kdesudo | ktsuss
-Recommends: xsane | simple-scan | skanlite, python-notify
+Recommends: xsane | simple-scan | skanlite, python3-notify2
 Replaces: hplip  (<< 3.12.4-2)
 Breaks: hplip  (<< 3.12.4-2)
 Description: HP Linux Printing and Imaging - GUI utilities (Qt-based)
