=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,19 @@
 export DH_ALWAYS_EXCLUDE=CVS:.cvsignore
 #export DH_VERBOSE=1
 
--include /usr/share/python/python.mk
- ifeq (,$(py_sitename))
+-include /usr/share/python3/python.mk
+ifeq (,$(py_sitename))
    py_sitename = site-packages
    py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
    py_sitename_sh = $(py_sitename)
    py_libdir_sh = $(py_libdir)
 endif
-PYTHON_DEFAULT_VERSION:=$(shell pyversions -dv)
+
+# Override py_sitename as the python.mk module gives the wrong "dist-packages"
+py_sitename = site-packages
+
+PYTHON=python3
+PYTHON_DEFAULT_VERSION:=$(shell py3versions -dv)
 PYTHON_SITENAME:=$(call py_sitename, $(PYTHON_DEFAULT_VERSION))
 
 
@@ -114,6 +119,7 @@
 	rm -f config.cache
 
 	./configure CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"\
+		PYTHON="$(PYTHON)" \
 		HPLIP_PPD_PATH=/usr/share/ppd \
 		$(CONFFLAGS) \
 	 	--config-cache \
@@ -191,6 +197,7 @@
 	# on udev signal (Ubuntu only)
 	if [ "`lsb_release -is 2>/dev/null`" = "Ubuntu" ]; then \
 		install -d $(CURDIR)/debian/hplip/usr/bin/; \
+		install -m 755 debian/local/scripts/hp-plugin-ubuntu $(CURDIR)/debian/hplip/usr/bin/; \
 	fi
 
 	# Install the ppd updater data files so that CUPS can update the
@@ -226,10 +233,3 @@
 	)
 
 	# Edit the generated hplip.conf
-	( cd "$(PKGTMP)/etc/hp" && \
-	  cat hplip.conf | \
-	  sed -e 's#^doc=.*#doc=/usr/share/doc/hplip-doc/HTML#' | \
-	  sed -e 's#^ui-toolkit=.*#ui-toolkit=qt4#' \
-	    > hplip.conf.1 && \
-	    mv -f hplip.conf.1 hplip.conf )
-
